Skip to main content
GET
List my transactions

Headers

Authorization
enum<string>
default:NONE
required

Reserved for PCX-managed applications. External API integrations must always send the literal string NONE — this is the only accepted value.

Available options:
NONE
Example:

"NONE"

X-Api-Key
string
default:NONE
required

Your API key. This is the only supported credential.

Example:

"pcx_abc123_xxxx"

Query Parameters

limit
integer
default:10
Required range: x <= 100
last_evaluated_key
string
dateFrom
string<date>
dateTo
string<date>

Response

Paginated transaction list

data
object[]
meta
object